Select your device platform and follow the instructions to get Skyfire on your phone.

Skyfire 2.0 runs on Android 1.5 and 2.2 devices.

Skyfire 2.0 runs on any iPhone or iPod Touch with iOS 3.x or 4.0.

Skyfire 1.5 runs on Symbian Series 60, 3rd or 5th edition phones.

Skyfire 1.5 runs on Microsoft Windows Mobile 5 or 6, and 6.x. Both touchscreen and non-touchscreen phones are supported.